service system/hostname {
	need = system/initial

	start {
		# Read functions
		. /etc/rc.d/init.d/functions

		# And sysconfig
		if [ -f /etc/sysconfig/system ]; then
			. /etc/sysconfig/system
		fi

		# Read network config data
		if [ -r /etc/sysconfig/network ]; then
			. /etc/sysconfig/network
		else
			NETWORKING=no
			HOSTNAME=localhost
		fi

		# Set the hostname
		run_cmd "$(nls 'Host:') ${HOSTNAME}" hostname ${HOSTNAME}

		# Set the NIS domain name
		if [ -n "$NISDOMAIN" ]; then
			run_cmd "$(nls 'NIS Domain:') ${NISDOMAIN}" domainname $NISDOMAIN
		else
			domainname ""
		fi
	}
}
